export declare enum ERROR {
    NO_CONNECTION = 1,
    ONETIME_PASSWORD_EXPIRED = 100,
    INVALID_VERIFICATION_CODE = 101,
    ACCOUNT_NOT_FOUND = 102,
    CONFIRMATION_ATTEMPTS_EXHAUSTED = 103,
    INCORRECT_LOGIN_PASSWORD = 104,
    PASSWORD_ATTEMPTS_EXHAUSTED = 105,
    MFA_TOTP_USER_NOT_FOUND = 189,
    /**
     * Неправильный токен.
     */
    MFA_INVALID_TOKEN_VALUE = 190,
    /**
     * Не истек срок действия смс-кода.
     */
    SMS_TIMEOUT_NOT_EXPIRED = 191,
    MFA_INVALID_CREDENTIALS = 192,
    LOGIN_REQUIRED = 193,
    APPROVE_REQUESTED = 194,
    USER_BLOCKED = 195,
    INVALID_CREDENTIALS = 196,
    MFA_TOKEN_ATTEMPS_EXHAUSTED = 197,
    MFA_TOKEN_EXPIRED = 198,
    MFA_REQUIRED = 199,
    BAD_REQUEST = 400,
    UNAUTHORIZED = 401,
    FORBIDDEN = 403,
    NOT_FOUND = 404,
    METHOD_NOT_ALLOWED = 405,
    UNSUPPORTED_MEDIA_TYPE = 415,
    LOCKED = 420,
    OPTIMISTIC_LOCK = 423,
    FILE_MALWARE = 600,
    IN_STOP_LIST = 644,
    CRYPTO_NOT_FOUND = 800,
    CRYPTO_UNAUTHORIZE = 801,
    CRYPTO_CERTS_NOT_FOUND = 802,
    CRYPTO_INCORRECT_AUTHORIZATION_INFO = 803,
    CRYPTO_SIGN_NOT_CORRECT = 804,
    CRYPTO_VERIFYING_CERTIFICATE_CHAIN = 805,
    CRYPTO_INVALID_SIGN_CERTIFICATE = 806,
    CRYPTO_MODULE_VERSION_INVALID = 807,
    CRYPTO_INTERNAL_SERVER_ERROR = 899,
    UNEXPECTED_SYSTEM_ERROR = 500,
    LOGIN_OR_EMAIL_EXIST = 901,
    EMAIL_EXIST = 902,
    PREREGISTERED_USER_NOT_FOUND = 903,
    LOGIN_NOT_FOUND = 904,
    PASS_REC_USER_BLOCKED = 905,
    USER_NOT_CLIENT = 906,
    INCORRECT_PASSWORD = 907,
    PASSWORD_UNSAFE = 908,
    PASSWORD_USE_ANOTHER_USER = 909,
    EMAIL_DELIVERY_ERROR = 910,
    CAPTCHA_ERROR = 911,
    LOGOUT_DUE_TO_EXEEDED_TRYES = 913,
    ONETIME_PASSWORD_SEND_TIMEOUT = 950,
    VERIFICATION_CODESEND_FAILED = 951,
    ONETIME_PASSWORD_EXPIRED_REG = 952,
    CONFIRMATION_ATTEMPTS_EXHAUSTED_REG = 953,
    FAILED_SEND_CODE = 954,
    CRYPTOMODULE_NOT_INSTALLED = 955,
    CERTIFICATES_NOT_FOUND = 956,
    /**
     * Превышен лимит отправленных SMS.
     */
    NUMBER_OF_TRIES_EXCEEDED_SEND_SMS = 940,
    CERTIFICATES_NOT_RIGHT_SIGN = 957,
    VALIDATION_SERVER_CONTROLS_ERROR = 999
}
export declare const PASS_ERRORS: {
    readonly PASSWORD_TOO_SHORT: string;
    readonly PASSWORD_TOO_LONG: string;
    readonly PASSWORD_DOES_NOT_CONTAIN_LOWER_ALPHABET_SYMBOLS: string;
    readonly PASSWORD_DOES_NOT_CONTAIN_UPPER_ALPHABET_SYMBOLS: string;
    readonly PASSWORD_DOES_NOT_CONTAIN_NUMERIC_SYMBOLS: string;
    readonly PASSWORD_DOES_NOT_CONTAIN_SPECIAL_SYMBOLS: string;
    readonly PASSWORD_CONTAINS_TOO_FEW_DIFFERENT_SYMBOL_GROUPS: string;
    readonly PASSWORD_CONTAINS_UNKNOWN_SYMBOLS: string;
    readonly PASSWORD_MATCHES_LOGIN: string;
};
